Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Botan::Cert_Extension::Alternative_Name Class Referenceabstract

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Alternative_Name:

## Public Member Functions
virtual Certificate_Extension * | copy () const =0
AlternativeName | get_alt_name () const
virtual OID | oid_of () const
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate >> &cert_path, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos)

## Protected Member Functions
| Alternative_Name (const AlternativeName &, const std::string &oid_name)
| Alternative_Name (const std::string &, const std::string &)

## Detailed Description

Alternative Name Extension Base Class

Definition at line 284 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::Alternative_Name::Alternative_Name | ( | const AlternativeName & | alt_name,
|  | const std::string & | oid_name
| ) |  |
| protected

Definition at line 474 of file x509_ext.cpp.

475 :
476 m_oid_name_str(oid_name_str),
477 m_alt_name(alt_name)
478 {}

Botan::Cert_Extension::Alternative_Name::Alternative_Name | ( | const std::string & | ,
|  | const std::string & |
| ) |  |
| protected

## Member Function Documentation

virtual Certificate_Extension* Botan::Certificate_Extension::copy | ( |  | ) | const
| pure virtual inherited

Make a copy of this extension

Returns
  copy of this

Implemented in Botan::Cert_Extension::Unknown_Critical_Extension, Botan::Cert_Extension::CRL_Distribution_Points, Botan::Cert_Extension::CRL_ReasonCode, Botan::Cert_Extension::CRL_Number, Botan::Cert_Extension::Authority_Information_Access, Botan::Cert_Extension::Certificate_Policies, Botan::Cert_Extension::Name_Constraints, Botan::Cert_Extension::Extended_Key_Usage, Botan::Cert_Extension::Issuer_Alternative_Name, Botan::Cert_Extension::Subject_Alternative_Name, Botan::Cert_Extension::Authority_Key_ID, Botan::Cert_Extension::Subject_Key_ID, Botan::Cert_Extension::Key_Usage, and Botan::Cert_Extension::Basic_Constraints.

AlternativeName Botan::Cert_Extension::Alternative_Name::get_alt_name | ( |  | ) | const
| inline

Definition at line 287 of file x509_ext.h.

287 { return m_alt_name; }

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| virtual inherited

Returns
  OID representing this extension

Reimplemented in Botan::Cert_Extension::Unknown_Critical_Extension.

Definition at line 76 of file x509_ext.cpp.

References Botan::OIDS::lookup(), and Botan::Certificate_Extension::oid_name().

Referenced by Botan::Extensions::add(), Botan::Extensions::encode_into(), and Botan::Extensions::replace().

77 {
78 return OIDS::lookup(oid_name());
79 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:18

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Critical_Extension, and Botan::Cert_Extension::Name_Constraints.

Definition at line 84 of file x509_ext.cpp.

88 {
89 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp